Subject: Compile on Linux

From: Eric Hammersley <[email-masked]>
Date: Thu, 28 Nov 1996 14:06:36 -0800 (PST)

wu-ftpd Beta 11
Included below is a copy of the MAKELOG from 'build lnx'.

gcc 2.7.2.1
libc5

---------------
make args are : 
make opts are : 

Linking Makefiles.

Making support library.
rm -f libsupport.a
ar cq libsupport.a fnmatch.o strcasestr.o authuser.o 
ranlib libsupport.a

Making ftpd.
gcc -O2 -fomit-frame-pointer -I.. -I../support -I/usr/include/bsd -L../support -s   -c glob.c -o glob.o
glob.c: In function `matchdir':
glob.c:284: dereferencing pointer to incomplete type
make: *** [glob.o] Error 1

Making ftpcount.
make: `ftpcount' is up to date.

Making ftpshut.
make: `ftpshut' is up to date.

Making ckconfig.
make: `ckconfig' is up to date.

Links to executables are in bin directory:
size: bin/ftpd: No such file or directory
text	data	bss	dec	hex	filename
2644   	2643   	100    	5387   	150b   	bin/ftpcount
2516   	2261   	104    	4881   	1311   	bin/ftpshut
2644   	2643   	100    	5387   	150b   	bin/ftpwho
1092   	1873   	92     	3057   	bf1    	bin/ckconfig
Done
---------------

Of course as you can tell, all the other binaries compile, but the error
in glob.c kills the compiling of ftpd.

Now, if I go into the Makefile in the src directory and change around the
list of sources and place glob.c last all other file compile with no
problem, so I'm looking at one problem.

Ideas?

-- 
Eric Hammersley				finger [email-masked]
[email-masked]						for PGP key